image: sbtscala/scala-sbt:eclipse-temurin-alpine-22_36_1.10.1_3.3.3

stages:
  - build
  - test
  - deploy

cache:
  key: sbt-cache
  paths:
    - .sbt
    - .ivy2
    - .cache/coursier

build:
  stage: build
  script:
    - echo "Building project"
    - sbt clean
    - sbt ++3.3.3 compile

test:
  stage: test
  script:
    - echo "Running tests"
    - sbt test
  dependencies:
    - build

deploy:
  stage: deploy
  script:
    - echo "Deploying project"
    - sbt assemble
    - sbt stage
  dependencies:
    - build
